Closed Bug 619072 Opened 9 years ago Closed 9 years ago

'Linux x86-64 comm-* nightly' (silently) reports (5) "ImportError: No module named twisted.python", since upgrade to builbot 0.8

Categories

(SeaMonkey :: Release Engineering, defect, major)

x86_64
Linux
defect
Not set
major

Tracking

(Not tracked)

RESOLVED FIXED
seamonkey2.1b2

People

(Reporter: sgautherie, Assigned: kairo)

References

Details

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1292054744.1292058807.14854.gz
Linux x86-64 comm-1.9.1 nightly on 2010/12/11 00:05:44
s: cb-seamonkey-linux64-01
had no "sendchange" step.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1292140801.1292144742.23936.gz
Linux x86-64 comm-1.9.1 nightly on 2010/12/12 00:00:01
s: cb-seamonkey-linux64-01
{
======== BuildStep started ========
sendchange failed
=== Output ===
    master: cb-seamonkey-linuxmaster-01.mozilla.org:9010
    branch: comm-1.9.1-linux64-opt-unittest
    revision: aa7f017b0531424b128d54989fd08fb1332bf152
    comments: 
    user: sendchange-unittest
    files: ['http://stage.mozilla.org/pub/mozilla.org/seamonkey/tinderbox-builds/comm-1.9.1-linux64/1292140810/seamonkey-2.0.12pre.en-US.linux-x86_64.tar.bz2']
    properties: [('buildid', '20101212000010'), ('builduid', '8b4b323a540f48979dc13ffe4d9db95e'), ('nightly_build', True)]
python /builds/slave/comm-1.9.1-linux64-nightly/tools/buildfarm/utils/retry.py -s 5 -t 1800 -r 5 --stdout-regexp change sent successfully buildbot sendchange --master cb-seamonkey-linuxmaster-01.mozilla.org:9010 --username sendchange-unittest --branch comm-1.9.1-linux64-opt-unittest --revision aa7f017b0531424b128d54989fd08fb1332bf152 --property buildid:20101212000010 --property builduid:8b4b323a540f48979dc13ffe4d9db95e --property nightly_build:True http://stage.mozilla.org/pub/mozilla.org/seamonkey/tinderbox-builds/comm-1.9.1-linux64/1292140810/seamonkey-2.0.12pre.en-US.linux-x86_64.tar.bz2
...
Traceback (most recent call last):
  File "/tools/python/bin/buildbot", line 3, in <module>
    from buildbot.scripts import runner
  File "/tools/python/lib/python2.5/site-packages/buildbot/scripts/runner.py", line 7, in <module>
    from twisted.python import usage, util, runtime
ImportError: No module named twisted.python
}

Like bug 619006, there are 2 issues:
*the failure itself.
*getting a "green" build.
Flags: in-testsuite-
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1292317942.1292326174.27156.gz
Linux x86-64 comm-central-trunk nightly on 2010/12/14 01:12:22
s: cb-seamonkey-linux64-01
too.
How do you know that getting a green build is a bug there? How do you know that something interesting fails here at all?
(In reply to comment #2)

If this error is "uninteresting" then it should not be reported...
Right  now, we don't have any nightlies being done, so we can't really debug this. Marking dependent on bug 620115.
Depends on: 620115
Nightlies are working again for SeaMonkey, so no longer blocked on 620115
No longer depends on: 620115
There was an old buildbot 0.7 copy in the /tools/python directory, where it should not be, but being in the path first, it was called instead the main instance living in /tools/buildbot. Because of that, I could probably fix the problem with those commands I just executed on the linux64 slave machine:

sudo rm -rf /tools/python/lib/python2.5/site-packages/buildbot*
sudo rm /tools/python/bin/buildbot 


Please reopen if the problem persists in tomorrow's nightlies.
Assignee: nobody → kairo
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Target Milestone: --- → seamonkey2.1b2
You need to log in before you can comment on or make changes to this bug.